Package org.opentcs.data.model

# Enum Vehicle.State

java.lang.Object
java.lang.Enum<Vehicle.State>
org.opentcs.data.model.Vehicle.State

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Vehicle.State>`, `java.lang.constant.Constable`

Enclosing class:
  Vehicle

    public static enum Vehicle.State
    extends java.lang.Enum<Vehicle.State>

The elements of this enumeration describe the various possible states of a vehicle.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `CHARGING` | The vehicle is currently recharging its battery/refilling fuel.
  `ERROR` | There is a problem with the vehicle.
  `EXECUTING` | The vehicle is processing a movement order.
  `IDLE` | The vehicle is currently idle/available for processing movement orders.
  `UNAVAILABLE` | The vehicle's state is known and it's not in an error state, but it is not available for receiving orders.
  `UNKNOWN` | The vehicle's current state is unknown, e.g.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Vehicle.State` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static Vehicle.State[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final Vehicle.State UNKNOWN
    The vehicle's current state is unknown, e.g. because communication with it is currently not possible for some reason.

  - ### UNAVAILABLE

    public static final Vehicle.State UNAVAILABLE
    The vehicle's state is known and it's not in an error state, but it is not available for receiving orders.

  - ### ERROR

    public static final Vehicle.State ERROR
    There is a problem with the vehicle.

  - ### IDLE

    public static final Vehicle.State IDLE
    The vehicle is currently idle/available for processing movement orders.

  - ### EXECUTING

    public static final Vehicle.State EXECUTING
    The vehicle is processing a movement order.

  - ### CHARGING

    public static final Vehicle.State CHARGING
    The vehicle is currently recharging its battery/refilling fuel.

- ## Method Details

  - ### values

    public static Vehicle.State[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Vehicle.State valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null